TokenTreeBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Interface TokenTreeBuilder

- All Superinterfaces:
    java.lang.Iterable<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>>
  All Known Implementing Classes:
    AbstractTokenTreeBuilder, DynamicTokenTreeBuilder, StaticTokenTreeBuilder

      public interface TokenTreeBuilder
      extends java.lang.Iterable<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TokenTreeBuilder.EntryType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `AB_MAGIC`
    `static int` | `BLOCK_BYTES`
    `static int` | `BLOCK_ENTRY_BYTES`
    `static int` | `BLOCK_HEADER_BYTES`
    `static byte` | `ENTRY_TYPE_MASK`
    `static byte` | `LAST_LEAF_SHIFT`
    `static long` | `MAX_OFFSET`
    `static int` | `OVERFLOW_ENTRY_BYTES`
    `static int` | `OVERFLOW_TRAILER_BYTES`
    `static int` | `OVERFLOW_TRAILER_CAPACITY`
    `static byte` | `SHARED_HEADER_BYTES`
    `static int` | `TOKENS_PER_BLOCK`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>> data)`
    `void` | `add(java.lang.Long token, long keyPosition)`
    `void` | `add(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)`
    `void` | `add(TokenTreeBuilder ttb)`
    `TokenTreeBuilder` | `finish()`
    `long` | `getTokenCount()`
    `boolean` | `isEmpty()`
    `int` | `serializedSize()`
    `void` | `write(DataOutputPlus out)`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Field Detail

    - #### BLOCK_BYTES

          static final int BLOCK_BYTES

      See Also:
        Constant Field Values

    - #### BLOCK_HEADER_BYTES

          static final int BLOCK_HEADER_BYTES

      See Also:
        Constant Field Values

    - #### BLOCK_ENTRY_BYTES

          static final int BLOCK_ENTRY_BYTES

      See Also:
        Constant Field Values

    - #### OVERFLOW_TRAILER_BYTES

          static final int OVERFLOW_TRAILER_BYTES

      See Also:
        Constant Field Values

    - #### OVERFLOW_ENTRY_BYTES

          static final int OVERFLOW_ENTRY_BYTES

      See Also:
        Constant Field Values

    - #### OVERFLOW_TRAILER_CAPACITY

          static final int OVERFLOW_TRAILER_CAPACITY

      See Also:
        Constant Field Values

    - #### TOKENS_PER_BLOCK

          static final int TOKENS_PER_BLOCK

      See Also:
        Constant Field Values

    - #### MAX_OFFSET

          static final long MAX_OFFSET

      See Also:
        Constant Field Values

    - #### LAST_LEAF_SHIFT

          static final byte LAST_LEAF_SHIFT

      See Also:
        Constant Field Values

    - #### SHARED_HEADER_BYTES

          static final byte SHARED_HEADER_BYTES

      See Also:
        Constant Field Values

    - #### ENTRY_TYPE_MASK

          static final byte ENTRY_TYPE_MASK

      See Also:
        Constant Field Values

    - #### AB_MAGIC

          static final short AB_MAGIC

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### add

          void add(java.lang.Long token,
                   long keyPosition)

    - #### add

          void add(java.util.SortedMap<java.lang.Long,com.carrotsearch.hppc.LongSet> data)

    - #### add

          void add(java.util.Iterator<Pair<java.lang.Long,com.carrotsearch.hppc.LongSet>> data)

    - #### add

          void add(TokenTreeBuilder ttb)

    - #### isEmpty

          boolean isEmpty()

    - #### getTokenCount

          long getTokenCount()

    - #### finish

          TokenTreeBuilder finish()

    - #### serializedSize

          int serializedSize()

    - #### write

          void write(DataOutputPlus out)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation